import { subareaQueryAll } from '@/api/subarea'
const AreaList = {
  template: `
     <a-cascader
          :size="size"
          :changeOnSelect="changeOnSelect"
          :show-search="{ filter }"
          @change="handleChange"
          :value="defaultVal"
          expand-trigger="hover"
          :allowClear="allowClear"
          :options="list"
          :field-names="{ label: 'name', value: defValKey, children: 'subareaAreaList' }" 
          :id="id"
          :placeholder="placeholder" 
          style="width: 100%;" />
    `,
  props: {
    value: {
      type: Array,
      defatut: function(){
        return []
      }
    },
    id: {
      type: String,
      default: ''
    },
    defValKey: {
      type: String,
      default: 'areaSn'
    },
    placeholder: {
      type: String,
      default: '请选择区域/分区'
    },
    allowClear: {
        type: Boolean,
        default: true
    },
    size: {
        type: String,
        default: 'default'
    },
    changeOnSelect:{
        type: Boolean,
        default: true
    }
  },
  data() {
    return {
      defaultVal: this.value,
      list: []
    };
  },
  watch: {
    value(newValue, oldValue) {
      this.defaultVal = newValue
    },
  },
  mounted() {
    this.getArea()
  },
  methods: {
    filter(inputValue, path) {
        return path.some(option => option.name.toLowerCase().indexOf(inputValue.toLowerCase()) > -1);
    },
    handleChange (value, selectedOptions) {
        this.defaultVal = value
        this.$emit('input', this.defaultVal)
        this.$emit('change', this.defaultVal, selectedOptions)
    },
    getArea () {
      subareaQueryAll().then(res => {
            if (res.status == 200) {
                res.data&&res.data.map(item => {
                  item.name = item.subareaName
                  item.areaSn = item.subareaSn
                  if(item.subareaAreaList){
                    item.subareaAreaList.map(cd => {
                      cd.name = cd.subareaAreaName
                      cd.areaSn = cd.subareaAreaSn
                    })
                  }
                })
                this.list = res.data
            }
        })
    },
    clearData(){
       this.handleChange([],null)
    }
  },
};

export default AreaList